インストール/アップグレードに関するフォーラム

Hyper-V上のCentOS7上のMoodle2.8のインストール

 
YSOUWA60年
Hyper-V上のCentOS7上のMoodle2.8のインストール
 

Hyper-V上のCentOS7上のMoodle2.8のインストールをはじめました。

理由はCentOSの上で、Php5.4が稼働するので、後のメンテナンスが楽だろうととの勝手な考えです。

1. Hyper-Vでの問題点
 2008R2上Hpyer-Vで心配された追加モジュールはCentOS7側にありました。

hypervkvpd-0-0.24.20130826git.el7.x86_64
hypervvssd-0-0.24.20130826git.el7.x86_64
hyperv-daemons-license-0-0.24.20130826git.el7.noarch
hyperv-daemons-0-0.24.20130826git.el7.x86_64

ただし、TSCに関してSRPMから再コンパイルしましたが、残念ながら時間進みが多く断念し、NTPでの時間合わせとなりました。

それ以外では問題はありませんでした。(学内PROXYの設定を除く)
   Static hostname: moodle-labo.niigata-cn.ac.jp
         Icon name: computer-desktop
           Chassis: desktop
        Machine ID: f7d9c21ed10略
           Boot ID: 00ac55fab0a04a略
    Virtualization: microsoft
  Operating System: CentOS Linux 7 (Core)
       CPE OS Name: cpe:/o:centos:centos:7
            Kernel: Linux 3.10.0-123.9.3.el7.x86_64
      Architecture: x86_64

2. 以前はMySQLでしたが、手間の関係でMariaDBに変更の予定です。

詳細は現在進行中

 
評点平均: -
YSOUWA60年
Re: Hyper-V上のCentOS7上のMoodle2.8のインストール
 

CentOS7がバージョンアップ CentOS-7.0-1406-x86_64-DVD.iso

特段に変更なし CentOS ではMySQLでなく Mariadbとなっている。

# yum install httpd mariadb mariadb-server  gd

しかし、php-mariadb はなく

YSOUWA60年
Re: Hyper-V上のCentOS7上のMoodle2.8のインストール
 

つづき

php-mariadb はなくphp-mysql 等を代用

かなりシステム管理まわりが変更されている。

  • httpd
    systemctl restart httpd (再起動)
    systemctl start httpd 起動
    だけでは外部からはアクセスできない。
    この状態でmoodleをconsole から設定する